1. Web Analytics
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
          POST
        • Get total numbers
          POST
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
      • Customer journey of an order
      • Order First & Last Touchpoint of an order
      • Event summary of a landing page
    • Setting
      • Attribution models
      • Conversion Goals
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Web Analytics

Web Analytics

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/get/web-analysis/list
Unified view of spend, engagement, and conversion funnel performance.

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/get/web-analysis/list' \
--header 'ApiKey: 15xvome1000dh5vsow9geg7110yi43zd' \
--header 'Content-Type: application/json' \
--data-raw '{
    "start_date": "2026-03-01",
    "end_date": "2026-03-16",
    "dimensions": [
        "channel"
    ],
    "filters": [
        {
            "column": "landing_page",
            "operation": "equal",
            "values": [
                "/"
            ]
        }
    ],
    "sorts": [
        {
            "column": "revenue",
            "order": "desc"
        }
    ],
    "page": "1",
    "page_size": "20"
}'
Response Response Example
{
  "code": 1,
  "message": "ok",
  "data": {
    "total": 11,
    "page_size": 99,
    "records": [
      {
        "channel": "cillum veniam",
        "utm_campaign": "ad",
        "utm_source": "officia",
        "utm_medium": "dolore dolor cillum in",
        "landing_page": "sit aute ut",
        "spend": 10,
        "unique_users": 23,
        "returning_users": 28,
        "total_sessions": 66,
        "event_per_session": 87,
        "engagement_rate": 82,
        "homepage_view_users": 78,
        "product_view_users": 5,
        "atc_users": 96,
        "purchases": 79,
        "purchases_rate": 17,
        "revenue": 26
      },
      {
        "channel": "incididunt ullamco commodo adipisicing sunt",
        "utm_campaign": "minim deserunt sunt incididunt",
        "utm_source": "Ut ut",
        "utm_medium": "laborum qui velit amet",
        "landing_page": "in Lorem esse Duis",
        "spend": 9,
        "unique_users": 35,
        "returning_users": 52,
        "total_sessions": 8,
        "event_per_session": 26,
        "engagement_rate": 54,
        "homepage_view_users": 18,
        "product_view_users": 93,
        "atc_users": 92,
        "purchases": 78,
        "purchases_rate": 90,
        "revenue": 19
      },
      {
        "channel": "nisi non",
        "utm_campaign": "dolore occaecat dolor officia",
        "utm_source": "pariatur officia",
        "utm_medium": "do reprehenderit",
        "landing_page": "enim nostrud",
        "spend": 48,
        "unique_users": 26,
        "returning_users": 68,
        "total_sessions": 28,
        "event_per_session": 56,
        "engagement_rate": 38,
        "homepage_view_users": 74,
        "product_view_users": 8,
        "atc_users": 27,
        "purchases": 56,
        "purchases_rate": 32,
        "revenue": 72
      }
    ]
  }
}
Modified at 2026-03-18 15:40:13
Previous
Total attribution report for a single product
Next
Get total numbers
Built with